Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# PVThreadContext Class Reference
[OSCL Proc]

`#include <oscl_scheduler_threadcontext.h>`

## Public Methods
OSCL_IMPORT_REF | PVThreadContext ()
OSCL_IMPORT_REF | ~PVThreadContext ()
OSCL_IMPORT_REF bool | IsSameThreadContext ()
OSCL_IMPORT_REF void | EnterThreadContext ()
OSCL_IMPORT_REF void | ExitThreadContext ()
## Static Public Methods
OSCL_IMPORT_REF uint32 | Id ()
OSCL_IMPORT_REF bool | ThreadHasScheduler ()
## Friends
class | PVActiveBase
class | OsclActiveObject
class | OsclTimerObject
class | OsclExecScheduler
class | OsclCoeActiveScheduler
class | OsclExecSchedulerCommonBase
class | OsclExecSchedulerBase
class | OsclCoeActiveSchedulerBase

## Constructor & Destructor Documentation

OSCL_IMPORT_REF PVThreadContext::PVThreadContext | ( |  | ) |

OSCL_IMPORT_REF PVThreadContext::~PVThreadContext | ( |  | ) |

## Member Function Documentation

OSCL_IMPORT_REF void PVThreadContext::EnterThreadContext | ( |  | ) |

| enter and exit thread context.

OSCL_IMPORT_REF void PVThreadContext::ExitThreadContext | ( |  | ) |

OSCL_IMPORT_REF uint32 PVThreadContext::Id | ( |  | ) | `[static]`

| static routine to get a unique thread ID for caller's thread context.

OSCL_IMPORT_REF bool PVThreadContext::IsSameThreadContext | ( |  | ) |

| compare caller's thread context to this one.

OSCL_IMPORT_REF bool PVThreadContext::ThreadHasScheduler | ( |  | ) | `[static]`

| a static utility to tell whether the calling thread has any scheduler-- either Oscl scheduler or native scheduler.

## Friends And Related Function Documentation

friend class OsclActiveObject`[friend]`

friend class OsclCoeActiveScheduler`[friend]`

friend class OsclCoeActiveSchedulerBase`[friend]`

friend class OsclExecScheduler`[friend]`

friend class OsclExecSchedulerBase`[friend]`

friend class OsclExecSchedulerCommonBase`[friend]`

friend class OsclTimerObject`[friend]`

friend class PVActiveBase`[friend]`

The documentation for this class was generated from the following file:

- oscl_scheduler_threadcontext.h